@extends('front.pages.account.index')
@section('account_title')
   {{__('change password')}}
@endsection
@section('account_css')
@endsection
@section('account_content')
<main>
<div class="content">
    @if(Session::has('failed'))
    <div class="alert alert-danger">
        {{Session::get('failed')}}
    </div>
    @endif
    <h4 class="pb-3 title_heading">{{__('Change account password')}}</h4> 
    <form action="{{route('password_update')}}" method="POST" id="password_update">
    @csrf  
    <div class="form-group">
        <div class="row">
            <div class="col-lg-6">
                <label>{{__('Old password')}}</label>
                <input type="password" class="form-control" name="old_password" id="old_password" required>
            </div>
        </div>
    </div> 
    <div class="form-group">
        <div class="row">
            <div class="col-lg-6">
                <label>{{__('Password')}}</label>
                <input type="password" class="form-control" name="password" id="password" minlength="8" required>
            </div>
        </div>
    </div>
    <div class="form-group">
            <div class="row">
                <div class="col-lg-6">
                    <label>{{__('Password confirmation')}}</label>
                    <input type="password" class="form-control" name="password_confirmation"  minlength="8" id="password_confirmation" required>
                </div>
            </div>
        </div>
    <div class="form-group">
            <div class="row">
                <div class="col-lg-6">
                    <input type="submit" class="btn_1 form-control" value="{{__('Save')}}">
                </div>
            </div>
        </div>
    </form>
    
</div>
</main>
@endsection
@section('account_scripts')
<script>
 $(document).ready(function(){
        $('#change_password').addClass('active');
        $('#password_update').validate({
                rules:{
                    password:{
                        required:true,
                    },
                    password_confirmation:{
                        required:true,
                        equalTo:"#password"
                    }

            },
            messages:{
                password_confirmation:{
                    equalTo:"{{__('password does not match')}}"
                }
            }
        });
 })
</script>
@endsection