@extends('front.pages.account.index')
@section('account_title')
   {{__('Payments')}}
@endsection
@section('css')
  <link href="{{url('assets/front/css/about.css')}}" rel="stylesheet">
  
@endsection
@section('account_content')
<main>
<div class="content">
   
    <div class="row justify-content-center" style="margin-top:10px;">
          <div class="col-lg-12 text-center">
             <h4 class="pb-3 title_heading">{{__('Balance')}}</h4>
          </div>
          <div class="col-lg-6 col-md-6">
            <div class="box_feat">
              <h3 style="color:#05741f">{{__('Confirmed balance')}}</h3>
              <h3 style="color:#05741f">{{formated_price(auth()->user()->confirmed_balance)}}</h3>
            </div>
          </div>
          <div class="col-lg-6 col-md-6">
            <div class="box_feat">
              <h3 style="color:#f39c12">{{__('Hold balance')}}</h3>
              <h3 style="color:#f39c12">{{formated_price(auth()->user()->hold_balance)}}</h3>
            </div>
          </div>
          <div class="col-lg-6 col-md-6 bg-success">
              <div class="box_feat">
                <h3 style="color:#111;">{{__('Paid balance')}}</h3>
                <h3 style="color:#111;">{{formated_price(auth()->user()->paid_balance)}}</h3>
              </div>
          </div>
          <div class="col-lg-6 col-md-6">
            <div class="box_feat">
              <h3 style="color:#0073b7">{{__('Available balance')}}</h3>
              <h3 style="color:#0073b7">{{formated_price(Auth::user()->total_balance)}}</h3>
            </div>
          </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <a href="{{route('payment_request')}}" class="btn_1" style="margin-bottom: 5px;"><i class="fa fa-usd"></i> {{__('Payment request')}}</a>
          <table class="table table-striped text-center" id="payments_table">
              <thead>
                <tr>
                  <th width="10px">
                      {{__('#')}}
                  </th>
                  <th>
                      {{__('Amount')}}
                  </th>
                  <th>
                      {{__('Payment Method')}}
                  </th>
                  <th>
                      {{__('Payment status')}}
                  </th>
                  <th>
                      {{__('Request date')}}
                  </th>
                </tr>
              </thead>
              <tbody>
                    @if(count($payment_requests))
                      @foreach($payment_requests as $payment_request)
                      <tr>
                        <td>#{{$payment_request->id}}</td>
                        <td>{{formated_price($payment_request->amount)}}</td>
                        <td>{{__($payment_request['payment_method']['name'])}}</td>
                        <td>
                          @if($payment_request['paid'])
                            <i class="fa fa-check text-success"></i>
                          @else 
                            <i class="fa fa-times text-danger"></i>
                          @endif
                        </td>
                        <td>{{date('d/m/Y H:i',strtotime($payment_request->created_at))}}</td>
                      </tr>
                      @endforeach  
                    @else 
                     <tr>
                        <td colspan="5">
                          {{__('No Payment requests found')}}
                        </td>
                     </tr>
                    @endif          
              </tbody>
            </table>
        </div>
      </div>
    
      <div class="row" id="pagination">{!! $payment_requests->links() !!}</div>
</div>
</main>
@endsection
@section('account_scripts')
<script>
  $(document).ready(function(){
      $('#payments').addClass('active');
  });
</script>
@endsection