@extends('front.pages.account.index')
@section('account_title')
   {{__('Support')}}
@endsection
@section('account_css')
    <link href="{{url('assets/front/css/contact.css')}}" rel="stylesheet">
@endsection
@section('account_content')
<main>
<div class="content">
    <h4 class="pb-3 title_heading">{{__('Support')}}</h4> 
    <div class="row justify-content-center">
        <div class="col-lg-4 text-center">
            <div class="box_contacts">
                <i class="ti-mobile"></i>
                <h5>{{__('Phone')}}</h5>
                <a href="tel:{{$phone}}">{{$phone}}</a>                    
            </div>
        </div>
        <div class="col-lg-4 text-center">
            <div class="box_contacts">
                <i class="ti-map-alt"></i>
                <h5>{{__('Address')}}</h5>
                <div>{{$address}}</div>
            </div>
        </div>
        <div class="col-lg-4 text-center">
            <div class="box_contacts">
                <i class="ti-email"></i>
                <h5>{{__('Email')}}</h5>
                <a href="mailto:{{$email}}">{{$email}}</a>
            </div>
        </div>
    </div>
    <div class="col-lg-12">
        <div class="bg_white">
                <h4 class="pb-3 text-center">{{__('Feel free to contact us')}}</h4>
                <div class="row">
                    <div class="col-lg-12 col-md-12 add_bottom_25">
                        <form method="POST" action="{{route('contact_submit')}}">
                            @csrf
                            <input class="form-control" type="text" name="name" placeholder="{{__('Name')}}" required>
                            <br>
                            <input class="form-control" type="email" name="email" placeholder="{{__('Email')}}" required>
                            <br>                        
                            <textarea class="form-control" name="message" style="height: 150px;" placeholder="{{__('Message')}}" required></textarea>
                            <br>                        
                            <input class="btn_1 full-width" type="submit" value="{{__('Send')}}">
                        </form>
                    </div>
                </div>
                <!-- /row -->
        </div>
    </div>
</div>
</main>
@endsection
@section('account_scripts')
<script>
  $(document).ready(function(){
      $('#support').addClass('active');
  });
</script>
@endsection