@extends('front.pages.account.index')
@section('account_title')
   {{__('Wishlist')}}
@endsection
@section('css')
<link href="{{url('assets/front/css/cart.css')}}" rel="stylesheet">
<link href="{{url('assets/front/css/checkout.css')}}" rel="stylesheet">
@endsection
@section('account_content')
<main>
<div class="content">
        <h4 class="pb-3 title_heading">{{__('Wishlist')}}</h4> 
        <div class="row">
            <div class="col-lg-12">
                <table class="table table-striped table-responsive">
                    <thead>
                        <tr>
                            <th>
                                {{__('Product')}}
                            </th>
                           
                            <th>
                                {{__('Price')}}
                            </th>
                            <th>
                                {{__('Commission')}}
                            </th>
                            <th>
                                
                            </th>
                            <th>
                                
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @if(count($favourite_products))
                        @foreach($favourite_products as $product)
                        <tr>
                            <td>
                                <div class="thumb_cart">
                                        <img class="img-fluid lazy" data-src="@if(count($product->images)){{url('uploads/products/'.$product->images[0]['name'])}} @else {{url('assets/front/img/no-image.png')}}  @endif">
                                    </div>
                                <span class="item_cart">{{$product->name}}</span>
                            </td>
                            <td>
                                <strong>@if($product->offer>0){{formated_price($product->offer)}} @else {{formated_price($product->price)}} @endif</strong>
                            </td>
                            <td>
                                <strong>{{formated_price($product->commission)}}</strong>
                            </td>
                            <td class="options">
                                <a id="add_to_cart_{{$product->id}}" style="cursor: pointer;@if(session()->has('cart')&&in_array($product->id,session()->get('cart'))) background-color:red!important @endif"  href="{{url('add_to_cart/'.$product->id)}}" class="btn_1 add_to_cart"><i class="ti-shopping-cart"></i></a>
                            </td>
                            <td class="options">
                                <a href="{{url('add_to_favourite/'.$product->id)}}" class="delete_favourite"><i class="ti-trash"></i></a>
                            </td>
                        </tr>
                        @endforeach
                        @else 
                        <tr>
                            <td colspan="4" class="text-center">{{__('Wishlist empty')}}</td>
                        </tr>
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
</div>
</main>
@endsection
@section('account_scripts')
<script>
  $(document).ready(function(){
      $('#wishlist').addClass('active');
  });

  $('.delete_favourite').click(function(e){
    e.preventDefault();
    el=$(this);
    url=$(this).attr('href');
    $.ajax({
        type:"post",
        url:url,
        data:{_token:"{{csrf_token()}}"},
        success:function(status)
        {
            $(el).parent().parent().remove();
            if($('tbody tr').length==0)
            {
                $('tbody').html(`<tr>
                    <td colspan="4" class="text-center">{{__('Wishlist empty')}}</td>
                </tr>`);
            }

        }
    });
  });

  

</script>
@endsection