<script>
$(document).ready(function(){
  
    $('#login_form').validate({
        rules:{
            email:{
                required:true,
                email:true,
            },
            password:{
                required:true
            }
        }
    });

    $('#register_form').validate({
        rules:{
            name:{
                required:true,
                minlength:6
            },
            email:{
                required:true,
                email:true,
            },
            password:{
                required:true,
                minlength:8,
            },
            password_confirmation:{
                required:true,
                equalTo:"#new_password",
            },
            phone:{
                required:true,
                minlength:11,
            },
            address:{
                required:true,
            },
            state_id:{
                required:true,
            },
            city_id:{
                required:true,
            }

        },
        messages:{
            password_confirmation:{
                equalTo:"{{__('password confirmation should be equal to password')}}",
            }
        }
    });


    $('#reset_password_form').validate({
        rules:{
            password:{
                required:true,
                minlength:8,
            },
            password_confirmation:{
                required:true,
                equalTo:"#password"
            }
        },
        messages:{
            password_confirmation:{
                equalTo:"{{__('password did not match')}}",
            }
        }

    });

    

    $('#new_email').change(function(){
        email_check_exist();
    });

    $('#new_phone').change(function(){
        phone_check_exist();
    });

    $('#register_form').submit(function(){

        email_exist=$('#check_email_exist').val();
        phone_exist=$('#check_phone_exist').val();

        if(email_exist||phone_exist)
        {
            return false;
        }
        else{
            return true;
        }

    });

    $('#state').change(function(){
      state_id=$(this).val();
      html='';
       $.ajax({
           url:"{{url('get_cities/')}}"+'/'+state_id,
           success:function(cities)
           {
             for(i=0;i<cities.length;i++)
             {
                html+=`<option value="`+cities[i]['id']+`">`+cities[i]['name']+`</option>`;
             }
             $('#city').html(html);
           }
       })
    });

    $('.login_facebook').click(function(){
        window.location='{{route("social_login","facebook")}}';
    });

    $('.login_google').click(function(){
        window.location='{{route("social_login","google")}}';
    });


});

function email_check_exist()
{
    email=$('#new_email').val();
    $.ajax({
        type:"POST",
        url:"{{url('auth/email_exist')}}",
        data:{_token:"{{csrf_token()}}",email:email},
        success:function(status)
        {
            if(status)
            {
                $('#email_exist').text('{{__("email already exists")}}');
                $('#check_email_exist').val(status);
            }
            else{
                $('#email_exist').text('');
                $('#check_email_exist').val('');
            }

        }
    });
}

function phone_check_exist()
{
    var phone=$('#new_phone').val();
    $.ajax({
        type:"POST",
        url:"{{url('auth/phone_exist')}}",
        data:{_token:"{{csrf_token()}}",phone:phone},
        success:function(status)
        {
            if(status)
            {
                $('#phone_exist').text('{{__("phone already exists")}}');
                $('#check_phone_exist').val(status);
            }
            else{
                $('#phone_exist').text('');
                $('#check_phone_exist').val('');
            }

        }
    });
}



</script>