@extends('front.layout')
@section('title')
{{__('Sign In')}}
@endsection
@section('content')
<main class="bg_gray">
<div class="container margin_30">
		<div class="page_header">
			<div class="breadcrumbs">
				<ul>
					<li><a href="{{url('/')}}">{{__('Home')}}</a></li>
					<li>{{__('Login')}}</li>
				</ul>
		</div>
	</div>
	<!-- /page_header -->
			<div class="row justify-content-center">
			<div class="col-xl-6 col-lg-6 col-md-8">
				<div class="box_account">
					<div class="form_container">
						
						@if(session()->has('success'))
						<div class="alert alert-success">
								<b style="padding:40px">
									{{session()->get('success')}}
								</b>
						</div>
						@endif
						<br>
						<h4 class="text-center">{{__('Sign In')}}</h4>
						@if(session()->has('failed'))
						<div class="alert alert-danger">
								<b style="padding:40px">
									{{session()->get('failed')}}
								</b>
						</div>
						@endif
						<div class="row">
							<div class="col-lg-12">
								  <div class="col-lg-12">
									<button  class="loginBtn text-center loginBtn--facebook login_facebook">
									  {{__('Login with facebook')}}
									</button>
								  </div>
								  <div class="col-lg-12 text-center">
									<strong>{{__('OR')}}</strong>
								  </div>
								  <div class="col-lg-12">
									<button class="loginBtn text-center loginBtn--google login_google">
									  {{__('Login with google')}}
									</button>
								  </div>
							</div>
						</div>
                        <form method="POST" action="{{url('auth/login')}}" id="login_form" autocomplete="off">
                            @csrf
                            <div class="form-group">
                                <input type="email" class="form-control" name="email" id="email" placeholder="{{__('Email')}}" autocomplete="off">
                            </div>
                            <div class="form-group">
                                <input type="password" class="form-control" name="password" id="password_in" value="" placeholder="{{__('Password')}}" autocomplete="off">
                            </div>
                            <div class="clearfix add_bottom_15">
                                <div class="checkboxes float-left">
                                    <label class="container_check">{{__('Remember me')}}
                                        <input type="checkbox" name="remember">
                                        <span class="checkmark" id="remember"></span>
                                    </label>
                                </div>
                                <div class="float-right"><a id="forgot" href="{{route('forgetPassword')}}">{{__('Lost Password?')}}</a></div>
                            </div>
                            <div class="text-center"><input type="submit" value="{{__('Sign In')}}" class="btn_1 full-width"></div>
						</form>
						<div class="row" style="padding:20px;">
							<a href="{{route('register')}}" style="margin:auto">
								<h6>{{__('Already have account ? register now')}}</h6>
							</a>
						</div>
					</div>
					<!-- /form_container -->
				</div>
				
			</div>
		
		</div>
		<!-- /row -->
        </div>
</main>
@endsection

@section('scripts')
  @include('front.pages.auth.auth_script')
@endsection