@extends('front.layout')
@section('title')
{{__('Register')}}
@endsection
@section('content')
<main class="bg_gray">
<div class="container margin_30">
		<div class="page_header">
			<div class="breadcrumbs">
				<ul>
					<li><a href="{{url('/')}}">{{__('Home')}}</a></li>
					<li>{{__('Register')}}</li>
				</ul>
		</div>
	</div>
	<!-- /page_header -->
			<div class="row justify-content-center">
			
			<div class="col-xl-6 col-lg-6 col-md-8">
				<div class="box_account">
					<div class="form_container">
						<h4 class="text-center">{{__('Sign Up')}}</h4>
						<div class="row">
							<div class="col-lg-12">
								  <div class="col-lg-12">
									<button  class="loginBtn text-center loginBtn--facebook login_facebook">
									  {{__('Login with facebook')}}
									</button>
								  </div>
								  <div class="col-lg-12 text-center">
									<strong>{{__('OR')}}</strong>
								  </div>
								  <div class="col-lg-12">
									<button class="loginBtn text-center loginBtn--google login_google">
									  {{__('Login with google')}}
									</button>
								  </div>
							</div>
						</div>
						<form action="{{url('auth/register')}}" method="POST" id="register_form" autocomplete="off">
							@csrf
							<div class="form-group">
								<input type="text" class="form-control" name="name" id="new_name" placeholder="{{__('Name')}}" required>
							</div>
							<div class="form-group">
								<input type="email" class="form-control" name="email" id="new_email" required placeholder="{{__('Email')}}">
								<span class="error" id="email_exist"></span>
								<input type="hidden" id="check_email_exist">
							</div>
							<div class="form-group">
								<input type="text" class="form-control" name="phone" id="new_phone" placeholder="{{__('Phone')}}" required>
								<span class="error" id="phone_exist"></span>
								<input type="hidden" id="check_phone_exist">
							</div>
							<div class="form-group">
								<input type="password" class="form-control" name="password" id="new_password" autocomplete="off" placeholder="{{__('Password')}}" required>
							</div>
							<div class="form-group">
								<input type="password" class="form-control" name="password_confirmation" id="new_password_confirmation" autocomplete="off" placeholder="{{__('Password Confirmation')}}" required>
							</div>    
							<div class="form-group">
								<label class="container_check"> <a href="{{url('page/terms_conditions')}}" target="_blank">{{__('Accept terms and conditions')}}</a>
									<input type="checkbox" name="accept_terms" required>
									<span class="checkmark"></span>
								</label>
							</div>
							<br>
							<div class="form-group">
								<div class="text-center">
									<input type="submit" value="{{__('Sign Up')}}" class="btn_1 full-width">
								</div>
							</div>
						</form>
						<div class="row" style="padding:20px;">
							<a href="{{route('login')}}" style="margin:auto">
								<h6>{{__('Have account already ? sign in')}}</h6>
							</a>
						</div>
					</div>
					<!-- /form_container -->
				</div>
				<!-- /box_account -->
			</div>
		</div>
		<!-- /row -->
        </div>
</main>
@endsection

@section('scripts')
  @include('front.pages.auth.auth_script')
@endsection