@extends('front.layout')
@section('title')
{{__('Reset Password')}}
@endsection
@section('content')
<main class="bg_gray">
<div class="container margin_30">
		<div class="page_header">
			<div class="breadcrumbs">
				<ul>
					<li><a href="{{url('/')}}">{{__('Home')}}</a></li>
					<li>{{__('Reset Password')}}</li>
				</ul>
		</div>
	</div>
	<!-- /page_header -->
			<div class="row justify-content-center">
			<div class="col-md-6 col-offset-3">
				<div class="box_account">
					<div class="form_container">
                        @if(session()->has('failed'))
                        <div class="alert alert-danger">
                                <b style="padding:40px">
                                    {{session()->get('failed')}}
                                </b>
                        </div>
                        @endif
                        @if(session()->has('success'))
                        <div class="alert alert-success">
                                <b style="padding:40px">
                                    {{session()->get('success')}}
                                </b>
                        </div>
                        @endif
                        <br>
						<h4 class="text-center">{{__('Reset your password')}}</h4>
						
                        <form method="POST" action="{{route('resetPasswordSubmit')}}" id="reset_password_form">
                            @csrf
                            <input type="hidden" name="token" value="{{$token}}">
                            <div class="form-group">
                                <input type="password" class="form-control" name="password" id="password" placeholder="{{__('New password')}}">
                            </div>
                            <div class="form-group">
                                <input type="password" class="form-control" name="password_confirmation" id="password_confirmation" placeholder="{{__('New password confirmation')}}">
                            </div>
                            
                            <div class="text-center">
                                <input type="submit" value="{{__('Reset password')}}" class="btn_1 full-width">
                            </div>
                        </form>
					</div>
					<!-- /form_container -->
				</div>

			</div>
		</div>
		<!-- /row -->
        </div>
</main>
@endsection

@section('scripts')
  @include('front.pages.auth.auth_script')
@endsection