@extends('front.layout')
@section('title')
  {{$brand->name}}
@endsection
@section('css')
    <!-- SPECIFIC CSS -->
    <link href="{{url('assets/front/css/listing.css')}}" rel="stylesheet">
    <!-- YOUR CUSTOM CSS -->
    <link href="{{url('assets/front/css/custom.css')}}" rel="stylesheet">
@endsection
@section('content')
<main>
	    <div class="top_banner">
	        <div class="opacity-mask d-flex align-items-center" data-opacity-mask="rgba(0, 0, 0, 0.3)">
	            <div class="container">
	                <div class="breadcrumbs">
	                    <ul>
	                        <li><a href="{{url('/')}}">{{__('Home')}}</a></li>
	                    </ul>
	                </div>
	                <h1>{{$brand->name}}</h1>
	            </div>
	        </div>
	        <img src="{{url('assets/front/img/bg_cat_shoes.jpg')}}" class="img-fluid" alt="">
	    </div>
	    <!-- /top_banner -->
	    <div id="stick_here"></div>
	    <div class="toolbox elemento_stick">
	        <div class="container">
	            <ul class="clearfix">
	                <li>
	                   
	                </li>
	                <li>
						
						<a href="{{url('setView/row')}}"><i class="ti-view-list"></i></a>
	                    <a href="{{url('setView/vertical')}}"><i class="ti-view-grid"></i></a>
	                </li>
	                <li>
	                    <a href="#0" class="open_filters">
	                        <i class="ti-filter"></i><span>Filters</span>
	                    </a>
	                </li>
	            </ul>
	        </div>
	    </div>
	    <!-- /toolbox -->
	    <div class="container margin_30 rtl">
	        <div class="row">
				<!-- /col -->
				
				@include('front.partials.filters',['filter_categories'=>$filter_categories])

	            <div class="col-lg-9">
					@if(count($products))
						@if(session()->get('view')=="row")
							@include('front.partials.row_view',['products'=>$products])
						@else 
							@include('front.partials.vertical_view',['products'=>$products])
						@endif
						
						<!-- /row_item -->
						<div class="pagination__wrapper">
							<ul class="pagination">
								{!! $products->appends(['categories'=>request()['categories'],'brands'=>request()['brands'],'prices'=>request()['prices']])->links() !!}
							</ul>
						</div>
					@else 
					  <h4 class="text-center">{{__('No products found , please filter again')}}</h4>
					@endif	
	            </div>
	            <!-- /col -->
	        </div>
	        <!-- /row -->
	    </div>
		<!-- /container -->
</main>
@endsection
@section('scripts')
	<script src="{{url('assets/front/js/sticky_sidebar.min.js')}}"></script>
	<script src="{{url('assets/front/js/specific_listing.js')}}"></script>
@endsection