@extends('front.layout')
@section('title')
{{__('Cart')}}
@endsection
@section('css')
<link href="{{url('assets/front/css/cart.css')}}" rel="stylesheet">
@endsection
@section('content')
<main class="bg_gray">
		<div class="container margin_30">
		<div class="page_header">
			<div class="breadcrumbs">
				<ul>
					<li><a href="{{url('/')}}">{{__('Home')}}</a></li>
					<li>{{__('Cart')}}</li>
				</ul>
			</div>
			<h1>{{__('Cart')}}</h1>
		</div>
        <!-- /page_header -->
		<table class="table table-striped table-responsive">
							<thead>
								<tr>
									<th width="30%">
										{{__('Product')}}
                                    </th>
                                    <th width="30%">
                                        {{__('Description')}}
                                    </th>
									<th width="20%">
										{{__('Price')}}
                                    </th>
                                    
                                    <th width="10%">
                                        {{__('Stock')}}
                                    </th>
									
									<th width="10%">
										
									</th>
								</tr>
							</thead>
							<tbody>
                                @if(count($cart_products))
                                    @foreach($cart_products as $product)
                                    <tr class="cart_item_{{$product->id}}">
                                        <td>
                                            <div class="thumb_cart">
                                                    <img class="img-fluid lazy" data-src="{{product_image($product)}}">
                                                </div>
                                            <span class="item_cart">{{$product->name}}</span>
                                        </td>
                                        <td>
                                            {{$product->description}}
                                        </td>
                                        <td>
                                            <strong>@if($product->offer>0){{formated_price($product->offer)}} @else {{formated_price($product->price)}} @endif</strong>
                                        </td>
                                        
                                        <td>
                                            {{$product->stock}}
                                        </td>
                                        
                                        <td class="options">
                                            <a href="{{url("delete_cart_item/".$product->id)}}" class="delete_cart_item"><i class="ti-trash"></i></a>
                                        </td>
                                    </tr>
                                    @endforeach
                                    @else 
                                    <tr>
                                        <td colspan="5" class="text-center">{{__('Cart empty')}}</td>
                                    </tr>
                                    @endif
							</tbody>
                        </table>
		</div>
		<!-- /container -->
		
		<div class="box_cart">
			<div class="container">
			<div class="row justify-content-end">
				<div class="col-xl-4 col-lg-4 col-md-6">
			<ul>
				<li>
					<span>{{__('Total')}}</span> <p class="header_total_cart">{{formated_price(calculateCart())}}</p>
				</li>
            </ul>
            @if(count($cart_products))
            <a href="{{route('checkout')}}" class="btn_1 full-width cart checkout-btn">{{__('Checkout')}}</a>
            @endif
					</div>
				</div>
			</div>
		</div>
		<!-- /box_cart -->
		
	</main>
@endsection
@section('scripts')
  @include('front.pages.cart.cart_js')
@endsection