@extends('front.layout')
@section('title')
   {{__('Wishlist')}}
@endsection
@section('css')
    <link href="{{url('assets/front/css/cart.css')}}" rel="stylesheet">
@endsection
@section('content')
<main class="bg_gray" style="min-height: 400px">
		<div class="container margin_30">
            <div class="page_header">
                <div class="breadcrumbs">
                    <ul>
                        <li><a href="{{url('/')}}">{{__('Home')}}</a></li>
                        <li>{{__('Wishlist')}}</li>
                    </ul>
                </div>
                <h1>{{__('Wishlist')}}</h1>
            </div>
            <div class="row rtl">
                <div class="col-lg-12" style="overflow-x:auto">
                    <table class="table table-striped" width="100%">
                        <thead>
                            <tr>
                                <th width="400px">
                                    {{__('Product')}}
                                </th>
                              
                                <th width="100px">
                                    {{__('Price')}}
                                </th>

                                <th width="100px">
                                    {{__('Commission')}}
                                </th>

                                <th width="100px">
                                    
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @if(count($favourite_products))
                            @foreach($favourite_products as $product)
                            <tr>
                                <td style="white-space: nowrap">
                                    <div class="thumb_cart">
                                            <img class="img-fluid lazy" data-src="@if(count($product->images)){{url('uploads/products/'.$product->images[0]['name'])}} @else {{url('assets/front/img/no-image.png')}}  @endif">
                                        </div>
                                    <span class="item_cart">{{$product->name}}</span>
                                </td>
                               
                                <td class="text-center">
                                    <strong>@if($product->offer>0){{formated_price($product->offer)}} @else {{formated_price($product->price)}} @endif</strong>
                                </td>

                                <td class="text-center">
                                    <strong>{{formated_price($product->commission)}}</strong>
                                </td>
                               
                                <td class="options text-center">
                                    <a href="{{url('add_to_favourite/'.$product->id)}}" class="delete_favourite"><i class="ti-trash"></i></a>
                                </td>
                            </tr>
                            @endforeach
                            @else 
                            <tr>
                                <td colspan="5" class="text-center">{{__('Wishlist empty')}}</td>
                            </tr>
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
</main>
@endsection
@section('scripts')
<script>
  $(document).ready(function(){
      $('#wishlist').addClass('active');
  });

  $('.delete_favourite').click(function(e){
    e.preventDefault();
    el=$(this);
    url=$(this).attr('href');
    $.ajax({
        type:"post",
        url:url,
        data:{_token:"{{csrf_token()}}"},
        success:function(status)
        {
            $(el).parent().parent().remove();
            if($('tbody tr').length==0)
            {
                $('tbody').html(`<tr>
                    <td colspan="4" class="text-center">{{__('Wishlist empty')}}</td>
                </tr>`);
            }

            toastr.success('{{__("product deleted favourites successfully")}}','{{__("Success")}}');
        }
    });
  });

  

</script>
@endsection