@extends('front.layout')
@section('title')
    {{__('Contact Us')}}
@endsection
@section('css')
    <link href="{{url('assets/front/css/contact.css')}}" rel="stylesheet">
@endsection
@section('content')
<main>
<div class="container margin_60">
        <div class="main_title">
            <h2>{{__('Contact Us')}}</h2>
            <p>{{__('Please feel free to contact us if you have any questions or comments')}}</p>
        </div>
        <div class="row justify-content-center">
            <div class="col-lg-4">
                <div class="box_contacts">
                    <i class="ti-mobile"></i>
                    <h2>{{__('Phone')}}</h2>
                    <a href="tel:{{$phone}}">{{$phone}}</a>                    
                </div>
            </div>
            <div class="col-lg-4">
                <div class="box_contacts">
                    <i class="ti-map-alt"></i>
                    <h2>{{__('Address')}}</h2>
                    <div>{{$address}}</div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="box_contacts">
                    <i class="ti-email"></i>
                    <h2>{{__('Email')}}</h2>
                    <a href="mailto:{{$email}}">{{$email}}</a>
                </div>
            </div>
        </div>
        <!-- /row -->				
    </div>
    <!-- /container -->
    <div class="bg_white">
        <div class="container margin_60_35">
            <h4 class="pb-3">{{__('Feel free to contact us')}}</h4>
            <div class="row">
                <div class="col-lg-4 col-md-6 add_bottom_25">
                    <form method="POST" action="{{route('contact_submit')}}">
                        @csrf
                        <input class="form-control" type="text" name="name" placeholder="{{__('Name')}}" required>
                        <br>
                        <input class="form-control" type="email" name="email" placeholder="{{__('Email')}}" required>
                        <br>                        
                        <textarea class="form-control" name="message" style="height: 150px;" placeholder="{{__('Message')}}" required></textarea>
                        <br>                        
                        <input class="btn_1 full-width" type="submit" value="{{__('Send')}}">
                    </form>
                </div>
                <div class="col-lg-8 col-md-6 add_bottom_25">
                    <iframe class="map_contact" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d39714.47749917409!2d-0.13662037019554393!3d51.52871971170425!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47d8a00baf21de75%3A0x52963a5addd52a99!2sLondra%2C+Regno+Unito!5e0!3m2!1sit!2ses!4v1557824540343!5m2!1sit!2ses" style="border: 0" allowfullscreen></iframe>
                </div>
            </div>
            <!-- /row -->
        </div>
        <!-- /container -->
    </div>
    <!-- /bg_white -->
</main>
@endsection