@extends('front.pages.account.index')
@section('account_title')
   {{__('Documents')}}
@endsection
@section('css')
  <link href="{{url('assets/front/css/about.css')}}" rel="stylesheet">
@endsection
@section('account_content')
<main>
<div class="content">
      <div class="row" style="overflow-x:auto">
        <div class="col-lg-12">
            <h4 class="pb-3 title_heading text-center">{{__('Documents')}}</h4> 
          <div class="table-responsive">
            <table class="table table-striped text-center">
                <thead>
                  <tr>
                    <th>
                      #
                    </th>
                    <th>
                        {{__('Requirement')}}
                    </th>
                    <th>
                      {{__('Date')}}
                    </th>
                    <th>
                        {{__('Status')}}
                    </th>
                    <th>
                        {{__('Send')}}
                    </th>
                  </tr>
                </thead>
                <tbody>
                    @if(count($documents))
                      @foreach($documents as $document)
                      <tr>
                        <td>#{{$document->id}}</td>
                        <td>{{$document->title}}</td>
                        <td>{{date('d/m/Y',strtotime($document->created_at))}}</td>
                        <td>
                          @if(!empty($document['document'])||!empty($document['comment']))
                              <p class="text-success text-center">{{__('Sent')}}</p>
                            @else 
                              <p class="text-danger text-center">{{__('Waiting')}}</p>
                            @endif
                        </td>
                        <td>
                          <a href="{{url('account/documents/show/'.$document['id'])}}">
                            <i class="fa fa-paper-plane" aria-hidden="true"></i>
                          </a>
                        </td>
                      </tr>
                      @endforeach    
                    @else
                      <tr>
                          <td colspan="5">
                            <p class="text-center">
                                {{__('No documents required')}}
                            </p>
                          </td>
                      </tr>
                    @endif        
                </tbody>
              </table>
          </div>
        </div>
      </div>
    
      <div class="row" id="pagination">{!! $documents->links() !!}</div>
</div>
</main>
@endsection
@section('account_scripts')
<script>
  $(document).ready(function(){
      $('#documents').addClass('active');
  });
</script>
@endsection