@extends('front.pages.account.index')
@section('account_title')
   {{__('Documents')}}
@endsection
@section('css')
  <link href="{{url('assets/front/css/about.css')}}" rel="stylesheet">
@endsection
@section('account_content')
<main>
<div class="content">
      <div class="row" style="overflow-x:auto">
        <div class="col-lg-12">
            <h4 class="pb-3 title_heading text-center">{{__('Send Document')}}</h4> 
            <label for="">{{__('Document')}}</label>
            <p>{{$document['title']}}</p>
        </div>
        @if(empty($document['document']))
            <form action="{{url('account/documents/update/'.$document['id'])}}" method="POST" enctype="multipart/form-data">
                @csrf 
                <div class="form-group">
                    <label for="comment">{{__('Comment')}}</label>
                    <input type="text" name="comment" id="comment" class="form-control" required> 
                </div>

                <div class="form-group">
                    <label for="document">{{__('attachement')}}</label>
                    <input type="file" name="document" id="document" class="form-control"> 
                </div>
                
                <div class="form-group">
                    <button type="submit" class="btn_1">{{__('Save')}}</button>
                </div>
            </form>
        @else 
           <div class="form-group">
               <label for="">{{__('Comment')}}</label>
               <p>{{$document['comment']}}</p>
               <br>
               <label for="">{{__('Document that was sent')}}</label><br>
               <a href="{{url('uploads/documents/'.$document['document'])}}">
                  <i class="fa fa-file-pdf-o"></i> {{$document['document']}}
               </a>
           </div>
        @endif
      </div>
    
</div>
</main>
@endsection
@section('account_scripts')
<script>
  $(document).ready(function(){
      $('#documents').addClass('active');
  });
</script>
@endsection