@extends('front.layout')
@section('title')
{{__('Home')}}
@endsection
@section('css')
<style>
    @media (min-width: 1281px) {
        .main_header{
            display: none;
        }
    }

    @media (min-width: 1025px) and (max-width: 1280px) {
        .main_header{
            display: none;
        }
    }
    i{
        font-size: 15px;
    }
</style>
@endsection
@section('content')
<main>
<div class="header-video">
    <div id="hero_video">
        <div class="row">
           <div class="col-md-6" style="text-align:left">
            <div class="main-menu">
                <ul>
                    @if(Auth::check())
                        <li>
                            <a href="{{route('account')}}" class="show-submenu">
                                <i class="ti-user" aria-hidden="true"></i> {{__('My Account')}}
                            </a>
                        </li>
                        <li>
                            <a href="#" class="show-submenu" onclick="document.getElementById('logout_form').submit();">
                                <i class="ti-lock"></i> {{__('Logout')}}
                            </a>
                        </li>
                        <form id="logout_form" method="POST" action="{{route('logout')}}" style="display:none">
                            @csrf
                        </form>
                    @else 
                        <li>
                            <a href="{{route('login')}}" class="show-submenu">
                                <i class="fa fa-sign-in" aria-hidden="true"></i> {{__('Login')}}
                            </a>
                        </li>
                        <li>
                            <a href="{{route('login')}}" class="show-submenu">
                                <i class="ti-user" aria-hidden="true"></i>  {{__('Register')}}
                            </a>
                        </li> 
                    @endif

                    <li>
                        @if(app()->getLocale()=='ar')
                        <a href="{{route('lang','en')}}" class="show-submenu">
                            <i class="ti-world"></i> {{__('English')}}
                        </a>
                        @else 
                        <a href="{{route('lang','ar')}}" class="show-submenu">
                            <i class="ti-world"></i> {{__('Arabic')}}
                        </a>
                        @endif
                    </li>
                </ul>
              </div>
           </div>
           
        </div>
        
        <div class="opacity-mask d-flex align-items-center" data-opacity-mask="rgba(0, 0, 0, 0.5)">
            <div class="container">
              
                <div class="row justify-content-center justify-content-md-start">
                    <div class="col-lg-12">
                        <div class="slide-text white">
                            <h3>{{$video_title}}</h3>
                            <p>{{$video_description}}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <img src="{{url('assets/front/img/video_fix.png')}}" alt="" class="header-video--media" data-video-src="video/intro" data-teaser-source="video/intro" data-provider="" data-video-width="1920" data-video-height="960">
</div>
<!-- /header-video -->

<div class="container margin_60_35 add_bottom_30 about">
    <div class="main_title">
        <h2>{{__('About Gomla Masr')}}</h2>
        <br>
        <h5>
            هو اول موقع فى مصر بيسمحلك تتاجر وتعمل البيزنيس بتاعك وتبيع اونلاين من غير ما يكون عندك بضاعة او مخزن او تتعامل مع شركات شحن ولا حتى تشيل هم التحصيل من العميل، بنوفرلك اكثر المنتجات مبيعاً فى مصر وبنوصل المنتج لحد عميلك وانت فى مكانك
        </h5>
        <br>
        <h5>
            كل اللي عليك تسوق وتجيب اوردرات واحنا هنوصلك المنتج اللى هتبيعه لحد عميلك من غير اى تعب من ناحيتك ولا ريسك ولا اي خساره محتملة .. بهوامش ربح مضمونة وانت اللى بتحددها كمان وبتتحكم فيه
        </h5>
    </div>
    <div class="row justify-content-center align-items-center">
        <div class="col-lg-5">
            <div class="box_about">
                <h3>منتجات بتتباع لوحدها</h3>
                <p class="lead">
                    جمعنا اكتر المنتجات اللى شغالة اونلاين فى مصر وبتتباع بسهولة وبكميات كبيرة
                </p>
                <img src="{{url('assets/front/img/arrow_about.png')}}" alt="" class="arrow_1">
            </div>
        </div>
        <div class="col-lg-5 pl-lg-5 text-center d-none d-lg-block">
            <img src="{{url('imgs/1.png')}}" alt="" class="img-fluid" width="350" height="268">
        </div>
    </div>
    <!-- /row -->
    <div class="row justify-content-center align-items-center">
        <div class="col-lg-5 pr-lg-5 text-center d-none d-lg-block">
            <img src="{{url('imgs/2.png')}}" alt="" class="img-fluid" width="350" height="268">
        </div>
        <div class="col-lg-5">
            <div class="box_about">
                <h3>
                    هنساعدك تسوقها
                </h3>
                <p class="lead">
                    كل منتج جهزنا ليه صور ومحتوى مكتوب وفيدويهات ليه بدون حقوق ملكية فكرية علشان تساعدك فى اعلاناتك
                </p>
                <img src="{{url('assets/front/img/arrow_about.png')}}" alt="" class="arrow_2">
            </div>
        </div>
    </div>
    <!-- /row -->
    <div class="row justify-content-center align-items-center">
        <div class="col-lg-5">
            <div class="box_about">
                <h3>
                    انت اللى بتحدد نسبة ارباحك
                </h3>
                <p class="lead">
                    المنتجات عندنا بتبقى بسعر الجملة وانت اللى بتحدد عاوز تكسب فيها كام .. حدد نسبة ربحك واتحكم فيها براحتك
                </p>
            </div>

        </div>
        <div class="col-lg-5 pl-lg-5 text-center d-none d-lg-block">
            <img src="{{url('imgs/3.png')}}" alt="" class="img-fluid" width="350" height="316">
        </div>
    </div>
    <!-- /row -->
    
</div>

<div class="row rtl text-center">
    <div class="col-lg-12" style="background-image:url('{{url('imgs/background3.jpg')}}');background-repeat:no-repeat;background-size:cover;padding:100px 50px 100px 50px">
        <h2 style="color: white">ليه احنا احسن من الافلييت؟</h2>
        <br>
        <h5 style="color: white">
            بإختصار " مش هتبني في براند او شركة غيرك، لأ .. انتا هتبني في شركتك وبراندك وتتاجر بأسمك سواء موقع او صفحة او حتي جروب .. وهتكبر وهتكسب من غير ما حد يتحكم فيك او يقفلك حساب وعميلك هيفضل بتاعك من غير ما توديه لحد تاني يكسب منه الوفات بعدين "         
        </h5>
    </div>
</div>

<div class="row rtl text-center">
    <div class="col-lg-12" style="padding:100px 40px 100px 40px">
        <h2>
            <i class="fa fa-warning" style="font-size: 40px!important"></i>
            على فكرة.. احنا شغالين قطاعي وجملة
        </h2>
        <br>
        <div class="row">
            <div class="col-lg-8 rtl">
                <ul>
                    <li>
                        <h5>
                            الاوردر القطاعي وده انك تبيع منتجات مش موجودة عندك من غير ما تشتريها او تخزنها وتبعتلنا بيانات الاوردر نوصلها لعميلك نحصل الفلوس وناخد تمن المنتج وعمولتنا ومصاريف الشحن ونرجعلك المكسب صافى فى حسابك
                        </h5>
                    </li>
                    <li style="margin-top: 20px">
                        <h5>
                            الاوردر الجملة، وده انك تشتري كمية من منتج معين او مجموعة منتجات بسعر الجمله اللي موضح قدامك ونوصلهوملك يبقو عندك في المخزن بتاعك تقدر تتصرف فيهم زي مانتا عايز عشان لو عايز تبيعهم اونلاين وتشحنهم من عندك او تبيعهم اوفلاين، ليك حرية الاختيار
                        </h5>
                    </li>
                </ul>
            </div>
            <div class="col-lg-4">
                <img src="{{url('imgs/4.png')}}" alt="" class="img-fluid" width="350" height="268">
            </div>
        </div>
    </div>
</div>

<div class="row rtl text-center">
    <div class="col-lg-12" style="padding:100px 40px 100px 40px;background-image:url('{{url('imgs/background-4.jpg')}}');">
        <h2 style="color: white">
            إزاي تبدأ مع جمله مصر ؟
        </h2>
        <br>
        <ol class="rtl" style="font-size: 30px;color:white;list-style: arabic-indic;">
            <li>
                <h5 style="color: white">
                    سجل حساب جديد على موقعنا وابدأ مع الجولة التعريفية بالموقع.
                </h5>
            </li>
            <li>
               <h5 style="color: white">
               اختار منتج .. حمل صوره واعرضه بأسمك او تحت اسم البراند بتاعك بالسعر وصافي الربح اللي الانسب ليك.
                </h5>
            </li>
            <li>
                <h5 style="color: white">
                    سجل الاوردر لعميلك .. وجمله مصر  هتتولي عملية الشحن والتوصيل والتحصيل .. وارباحك هتوصلك لحد عندك بكل سهولة.
                </h5>
            </li>
            
        </ol>
    </div>
</div>

</main>   
@endsection