@extends('front.layout')
@section('title')
    {{$product->name}}
@endsection
@section('css')
    <link href="{{url('assets/front/css/product_page.css')}}" rel="stylesheet">
    @php 
    if(app()->getLocale()=='ar')
    {
        $lang='ar_AR';
    }
    else{
        $lang='en_US';
    }
    @endphp
    <div id="fb-root"></div>
    <script async defer crossorigin="anonymous" src="https://connect.facebook.net/{{$lang}}/sdk.js#xfbml=1&version=v8.0&appId=299625434647975&autoLogAppEvents=1" nonce="3kLrCTS3"></script>
@endsection

@section('content')
<main>
<div class="container margin_30">
        <div class="row">
            <div class="col-lg-12">
                <div class="breadcrumbs">
                    <ul>
                         <li><a href="{{url('/')}}">{{__('Home')}}</a></li>
                        <li><a href="{{route('category',$product['category']['slug'])}}">{{$product['category']['name']}}</a></li>
                        <li><a href="{{route('subcategory',$product['subcategory']['slug'])}}">{{$product['subcategory']['name']}}</a></li>
                        <li>{{$product->name}}</li>
                    </ul>
                </div>
            </div>
          
            <div class="col-lg-6 magnific-gallery">
               <div class="row">
                    <!-- product video -->
                    @if(!empty($product['video'])&&$product['video_active'])
                        <video width="100%" height="200px" preload="none" style="position: unset!important" poster="{{url('uploads/products/'.$product['images'][0]['name'])}}" controls>
                            <source src="{{url('uploads/products/'.$product['video'])}}" type="video/mp4">
                        </video>
                    @endif
                    <!-- \Product video -->
               </div>
               <br>
               <div class="row">
                    <!-- product images -->
                    @foreach($product->images as $image)
                        <p>
                            <a href="{{url('uploads/products/'.$image->name)}}" title="{{$product->name}}" data-effect="mfp-zoom-in"><img src="{{url('uploads/products/'.$image->name)}}" alt="" class="img-fluid"></a>
                        </p>
                    @endforeach
                    <!-- \Product images -->
               </div>
            </div>
            <div class="col-md-6" id="sidebar_fixed">
                
                <!-- /page_header -->
                <div class="prod_info rtl">
                    <div class="fb-share-button" data-href="{{url('product/'.$product['slug'])}}" data-layout="button_count" data-size="small"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fplugins%2F&amp;src=sdkpreparse" class="fb-xfbml-parse-ignore">Share</a></div>

                    <h1>{{$product->name}}</h1>
                    <div class="prod_options">
                        <div class="row">
                            <label class="col-xl-5 col-lg-5 col-md-6 col-6"><strong>{{__('Brand')}}</strong></label>
                            <div class="col-xl-4 col-lg-5 col-md-6 col-6">
                                @if(!empty($product['brand']))
                                    {{$product['brand']['name']}}
                                @endif
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-xl-5 col-lg-5 col-md-6 col-6"><strong>{{__('Serial number')}}</strong></label>
                            <div class="col-xl-4 col-lg-5 col-md-6 col-6">
                                {{$product->serial_number}}
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-xl-5 col-lg-5 col-md-6 col-6"><strong>{{__('Weight')}}</strong></label>
                            <div class="col-xl-4 col-lg-5 col-md-6 col-6">
                                {{$product->weight}}
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-xl-5 col-lg-5 col-md-6 col-6"><strong>{{__('Stock')}}</strong></label>
                            <div class="col-xl-4 col-lg-5 col-md-6 col-6">
                                {{$product->stock}}
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-xl-5 col-lg-5 col-md-6 col-6"><strong>{{__('Price')}}</strong></label>
                            <div class="col-xl-4 col-lg-5 col-md-6 col-6">
                                    @if($product->offer)
                                        <span class="new_price">{{formated_price($product->offer)}}</span>
                                        <span class="old_price">{{formated_price($product->price)}}</span>
                                    @else 
                                        <span class="new_price">{{formated_price($product->price)}}</span>
                                    @endif
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-xl-5 col-lg-5 col-md-6 col-6"><strong>{{__('Commission')}}</strong></label>
                            <div class="col-xl-4 col-lg-5 col-md-6 col-6">  
                                <span class="new_price">{{formated_price($product->commission)}}</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12  col-md-12 col-sm-12 col-xs-12" style="padding:10px">
                            <a href="javascript:void(0);" destinationurl="{{url('add_to_favourite/'.$product->id)}}" class="btn_1 add_to_favourite_product" style="@if(session()->has('favourite')&&in_array($product->id,session()->get('favourite')))background-color:red;@endif ;width:100%"><i class="ti-heart" style="float:left"></i> {{__('Favourite')}}</a>
                        </div>
                    </div>
                   
                </div>
               
                <br>

                <!-- /product_actions -->
                <div class="tabs_product rtl">
                    <div class="container">
                        <ul class="nav nav-tabs" role="tablist">
                            <li class="nav-item">
                                <a id="tab-A" href="#pane-A" class="nav-link active" data-toggle="tab" role="tab">{{__('Product Description')}}</a>
                            </li>
                        </ul>
                    </div>
                </div>
                <!-- /tabs_product -->
                <div class="tab_content_wrapper rtl">
                    <div class="container">
                        <div class="tab-content" role="tablist">
                            <div id="pane-A" class="card tab-pane fade active show" role="tabpanel" aria-labelledby="tab-A">
                                <div class="card-header" role="tab" id="heading-A">
                                    <h5 class="mb-0">
                                        <a class="collapsed" data-toggle="collapse" href="#collapse-A" aria-expanded="false" aria-controls="collapse-A">
                                            {{__('Product Description')}}
                                        </a>
                                    </h5>
                                </div>
                                <div id="collapse-A" class="collapse" role="tabpanel" aria-labelledby="heading-A">
                                    <div class="card-body">
                                        <div class="row justify-content-between">
                                            <div class="col-lg-12">
                                            <p>{{$product->description}}</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /tab-content -->
                    </div>
                    <!-- /container -->
                </div>
                <!-- /tab_content_wrapper -->
            </div>
        </div>
        <!-- /row -->
    </div>
    @if(count($related_products))
        <!-- /container -->
        @include('front.partials.owel_section',['title'=>__('Related products'),'products'=>$related_products])
        <!-- /container -->
    @endif

    
    </main>

    @endsection

    @section('scripts')
    <script  src="{{url('assets/front/js/carousel_with_thumbs.js')}}"></script>
    @include('front.pages.product.product_js')
    <script src="{{url('assets/front/js/sticky_sidebar.min.js')}}"></script>
	<script>
		// Sticky sidebar
		$('#sidebar_fixed').theiaStickySidebar({
			minWidth: 991,
			updateSidebarHeight: false,
			additionalMarginTop: 90
		});
	</script>
    @endsection